Crashes on launch when updating from 1.11 (win)

Bug #1401293 reported by Virgil on 2014-12-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mixxx
Critical
Unassigned

Bug Description

On Win8.1

Debug [Main]: Dynamically loaded "C:/Program Files/Mixxx/plugins/soundsource/soundsourcemediafoundation.dll"
Debug [Main]: m4a
Debug [Main]: mp4
Debug [Main]: Plugin supports: m4a
Debug [Main]: Plugin supports: mp4
Debug [Main]: Mixxx "1.12.0-alpha" "(git master r4965; built on: Dec 4 2014 @ 15:25:06; flags: autodjcrates hid hss1394 localecompare mad mediafoundation optimize opus qdebug shoutcast test vamp verbose vinylcontrol)" is starting...
Debug [Main]: Qt version is: 4.8.6
Debug [Main]: QDesktopServices::storageLocation(HomeLocation): "C:/Users/Virgil"
Debug [Main]: QDesktopServices::storageLocation(DataLocation): "C:\Users\Virgil\AppData\Local\Mixxx"
Debug [Main]: QCoreApplication::applicationDirPath() "C:/Program Files/Mixxx"
Debug [Main]: Upgrading from v1.11.x...
Debug [Main]: Available QtSQL drivers: ("QSQLITE")
Debug [Main]: DB status: "C:/Users/Virgil/Local Settings/Application Data/Mixxx/mixxxdb.sqlite" = true
Debug [Main]: Loading resources from "C:/Program Files/Mixxx/"
Debug [Main]: SchemaManager::upgradeToSchemaVersion already at version 24
Debug [Main]: TrackDAO::initialize QThread(0x7b30311c70, name = "Main") "qt_sql_default_connection"
Debug [Main]: CrateDAO::initialize()
Debug [Main]: CueDAO::initialize QThread(0x7b30311c70, name = "Main") "qt_sql_default_connection"
Debug [Main]: DirectoryDAO::initialize QThread(0x7b30311c70, name = "Main") "qt_sql_default_connection"
Debug [Main]: LibraryHashDAO::initialize QThread(0x7b30311c70, name = "Main") "qt_sql_default_connection"
Debug [Main]: return already watching
Debug [Main]: Rolling back transaction on "qt_sql_default_connection" result: true
Debug [Main]: ~TrackCollection()
Debug [Main]: Clearing played information for this session
Debug [Main]: Cleaning LibraryHashes/track_locations tables.
Debug [Main]: Committing transaction on "qt_sql_default_connection" result: true
Debug [Main]: ~TrackDAO()
Debug [Main]: Configuration file is now at the current version 1.12.0-alpha
Debug [Main]: ConfigObject: Could not read "C:/Users/Virgil/Local Settings/Application Data/Mixxx/sandbox.cfg"
Debug [Main]: Loading resources from "C:/Program Files/Mixxx/"
Debug [Main]: Loading resources from "C:/Program Files/Mixxx/"
Debug [Main]: Loading translations for locale "fr_FR" from translations folder "C:/Program Files/Mixxx/translations/" : success
Debug [Main]: Compressor attack per frame: 0.000408163 decay per frame: 4.08163e-05
Debug [Main]: PortAudio version: 1899 text: PortAudio V19-devel (built Sep 24 2014 04:33:55)
Warning []: QObject::killTimers: timers cannot be stopped from another thread

Then closes as if

RJ Ryan (rryan) wrote :

Is this Windows 8.1 64-bit or 32-bit and is this Mixxx 32-bit or 64-bit?

Changed in mixxx:
importance: Undecided → Critical
milestone: none → 1.12.0
Download full text (3.5 KiB)

Dear Ryan,

Both 64bit versions for Mixxx and the os. The 32bit one works.

Kind regards,

V

On 11 December 2014 04:32:32 CET, RJ Ryan <email address hidden> wrote:
>Is this Windows 8.1 64-bit or 32-bit and is this Mixxx 32-bit or
>64-bit?
>
>** Changed in: mixxx
> Importance: Undecided => Critical
>
>** Changed in: mixxx
> Milestone: None => 1.12.0
>
>--
>You received this bug notification because you are subscribed to the
>bug
>report.
>https://bugs.launchpad.net/bugs/1401293
>
>Title:
> Crashes on launch when updating from 1.11
>
>Status in Mixxx:
> New
>
>Bug description:
> On Win8.1
>
>Debug [Main]: Dynamically loaded "C:/Program
>Files/Mixxx/plugins/soundsource/soundsourcemediafoundation.dll"
> Debug [Main]: m4a
> Debug [Main]: mp4
> Debug [Main]: Plugin supports: m4a
> Debug [Main]: Plugin supports: mp4
>Debug [Main]: Mixxx "1.12.0-alpha" "(git master r4965; built on: Dec 4
>2014 @ 15:25:06; flags: autodjcrates hid hss1394 localecompare mad
>mediafoundation optimize opus qdebug shoutcast test vamp verbose
>vinylcontrol)" is starting...
> Debug [Main]: Qt version is: 4.8.6
>Debug [Main]: QDesktopServices::storageLocation(HomeLocation):
>"C:/Users/Virgil"
>Debug [Main]: QDesktopServices::storageLocation(DataLocation):
>"C:\Users\Virgil\AppData\Local\Mixxx"
>Debug [Main]: QCoreApplication::applicationDirPath() "C:/Program
>Files/Mixxx"
> Debug [Main]: Upgrading from v1.11.x...
> Debug [Main]: Available QtSQL drivers: ("QSQLITE")
>Debug [Main]: DB status: "C:/Users/Virgil/Local Settings/Application
>Data/Mixxx/mixxxdb.sqlite" = true
> Debug [Main]: Loading resources from "C:/Program Files/Mixxx/"
>Debug [Main]: SchemaManager::upgradeToSchemaVersion already at version
>24
>Debug [Main]: TrackDAO::initialize QThread(0x7b30311c70, name = "Main")
>"qt_sql_default_connection"
> Debug [Main]: CrateDAO::initialize()
>Debug [Main]: CueDAO::initialize QThread(0x7b30311c70, name = "Main")
>"qt_sql_default_connection"
>Debug [Main]: DirectoryDAO::initialize QThread(0x7b30311c70, name =
>"Main") "qt_sql_default_connection"
>Debug [Main]: LibraryHashDAO::initialize QThread(0x7b30311c70, name =
>"Main") "qt_sql_default_connection"
> Debug [Main]: return already watching
>Debug [Main]: Rolling back transaction on "qt_sql_default_connection"
>result: true
> Debug [Main]: ~TrackCollection()
> Debug [Main]: Clearing played information for this session
> Debug [Main]: Cleaning LibraryHashes/track_locations tables.
>Debug [Main]: Committing transaction on "qt_sql_default_connection"
>result: true
> Debug [Main]: ~TrackDAO()
>Debug [Main]: Configuration file is now at the current version
>1.12.0-alpha
>Debug [Main]: ConfigObject: Could not read "C:/Users/Virgil/Local
>Settings/Application Data/Mixxx/sandbox.cfg"
> Debug [Main]: Loading resources from "C:/Program Files/Mixxx/"
> Debug [Main]: Loading resources from "C:/Program Files/Mixxx/"
>Debug [Main]: Loading translations for locale "fr_FR" from translations
>folder "C:/Program Files/Mixxx/translations/" : success
>Debug [Main]: Compressor attack per frame: 0.000408163 decay per
>frame: 4.08163e-05
>Debug [Main]: PortAudio version: 18...

Read more...

We now have release builds for 1.12 -- could you please test them out to see if this bug has been fixed?
http://mixxx.org/forums/viewtopic.php?f=1&t=6617&p=22695

summary: - Crashes on launch when updating from 1.11
+ Crashes on launch when updating from 1.11 (win)
Owen Williams (ywwg) wrote :

marking incomplete due to lack of info

Changed in mixxx:
status: New → Incomplete
Uwe Klotz (uklotzde) wrote :

Should be closed since the code base of SoundSourceMediaFoundation has changed substantially with the introduction of the new SoundSource API.

Superseded by:
https://bugs.launchpad.net/mixxx/+bug/1490580
https://bugs.launchpad.net/mixxx/+bug/1519472

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers